'____________ CUSTOM COMMENTS AWESOMETIME Visual Basic Script ___________________________________________________________
'                     by Josh Carpenter
'TOTALLY FREE Open SOURCE CODE NO TRADEMARK Or COPYRIGHT WHATSOEVER
'NO WARRANTY Or GUARANTEE IMPLIED Or SPECIFIED WHATSOEVER, USE AT YOUR OWN RISK.
' FEEL FREE To MODIFY To SUIT YOUR NEEDS BUT DOCUMENT YOUR CHANGES BELOW And CHANGE THE VERSION Name TOO.
'ONLY For USE With PC-DMIS SOFTWARE copyright Wilcox Associates And Hexagon Metrology
'
'---> Set this BAS script as a User Defined Command with an icon, then add to a custom toolbar <---
'


'||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
'RECORD OF CHANGES:

'Version 8:
' Added the ability To create And use one new 'canned' comment.
'    (It requires system permission To Write a text file To C:\TEMP
'     Only one new canned comment is possible, And will be overwritten
'     by selecting "make this a New Canned Comment" checkbox again.)
' Bubble # Report Comment.
'
'Version 9:
' Added Full Screen Option For Operator Comments,
' Addec canned "Raise Probe Up prepare for DCC" Operator Comment
' Cleaned up And re-arranged Dialog box layout.
'
'Version 10:
' ---> MAJOR CHANGE !!!! Changed VB Object Names To match PCDMIS Basic Export format !!!!
' Added Auto-Insert Operator Input Serial #, Job #, Operator Name With variables, report comment, And 3-try handling.
' Added Auto-Insert Date, Time, Part Name, With variable filename PDF Print command.
'
'Version 10B: Added complete "OPERATOR_INPUTS_BASIC_VERYBASIC.BAS" script To be written To C:\YOUR_FOLDER_HERE
'Version 10C: Added blank -> lines To always be added With Program Revision $$ Comment
'
'Version 11: Feb.2014
'   Significant Redesign of Layout: Moved Custom $$ Comments section down And Report Comments section up
'                                   Trimmed Operator Comments And Custom $$ Comments by one Input field Each,
'                                   Adjusted field spacing For use w/ PC-DMIS v2013 MR1's GUI
'                                   New decor For Auto-Inserts
'   Replaced some rarely used Canned $$ comments With new "Begin and End" With an Input Field
'
'Version 11b: Changed Operator Input "RETRY" label To "RETRY_INPUT" To remove conflicts With other routines.
'Version 11c: Made "Begin and End" a Single checkbox.
'Version 11d: Added canned $$ comment "Move out"
'Version 11e: Removed "YOUR_FOLDER_HERE" from "OPERATOR_INPUTS_BASIC_VERYBASIC.BAS", now script To be written To C:\
'
'Version 12: Added "Total # of dims and # OUTTOL" report comment checkbox,
'            Added "Inspection Run Time" report comment checkbox,
'            ...made room For these by cutting 2 Input field lines off from Custom $$ Comment section.
'Version 12B: FIXED OPERATOR Input BUG
'
'vERSION 13: Added XYZ Lines: makes 3 constructed lines And Origin Point from current alignment, XPLUS, YPLUS, And ZPLUS
'             New Canned Comments: Blocks per Chuck Lamendola style
'vERSION 13b: XYZ Lines: names them With Name of current alignment.
'               ~note: current alignment Name Function broken~
'VERSION 13c: Just a $$ =================== added
'VERSION 13d: Current alignment Name Function fixed!
'VERSION 13e: Fixed Begin & End again.
'             Reformatted Program Revision Record text.
'VERSION 14a: Added checkbox for complete "Dim List to CSV" script which exports a column-list of every non-NONE dimension to a CSV file in C:\Temp
'
'
'
'

' _____________________________ Begin _____________________________________________________________

Sub Main()
Dim DmisApp As Object
Dim DmisPart As Object
Dim DmisCommands As Object
Dim DmisCommand As Object
Dim AlignCmd As Object

Set DmisApp = CreateObject("PCDLRN.Application")
Set DmisPart = DmisApp.ActivePartProgram
Set DmisCommands = DmisPart.Commands
Set AlignCmd = DmisCommands.CurrentAlignment

Dim CurAlignName As String
CurAlignName = AlignCmd.Id
'MsgBox CurAlignName



Dim Dated As String
Set Dated = Date$
Set Dated = Format(Date$, "dd-mmm-yyyy")



Dim buttonval As Integer
Begin Dialog DLG_REPORT_COMMENT 50, 32, 490, 370, " ~ CUSTOM COMMENTS AWESOMETIME v14a ~"



'''''''''''''''''''''''''''''''''''''''''''''''''''''Operator Comment
GroupBox 8,  3, 220, 160
GroupBox 6,  1, 224, 164
GroupBox 8,  3,  70, 20
Text     12, 10,  65, 8, "Operator Comment:"
CheckBox 100, 13,  70, 8, "CLICK OK, THEN...", .CheckBox2327
TextBox  15, 25, 205, 12, .EditBox23
TextBox  15, 37, 205, 12, .EditBox24
TextBox  15, 49, 205, 12, .EditBox25
TextBox  15, 61, 205, 12, .EditBox26
TextBox  15, 73, 205, 12, .EditBox27

Text      12, 88, 15, 8, "***"
CheckBox  25, 88, 70, 8, "FULL SCREEN", .CheckBox2440
Text      85, 88, 15, 8, "***"
CheckBox 130, 88, 70, 8, "... THEN CLICK OK", .CheckBox2328
 GroupBox  8, 98, 220,35
CheckBox 20, 105, 65, 8, "Yes/No Question", .CheckBox2329
CheckBox 140, 105, 65, 8, "Operator Input", .CheckBox2330
    Text 40, 117, 70, 8, "Required ID:"
TextBox 90,  115, 80, 12, .EditBox29
CheckBox 16, 137, 130, 8, "Raise Probe Up and Clear the Part,", .CheckBox440
Text     36, 147, 110, 8, "   Prepare for DCC Motion."
Text      137, 150, 15, 8, "***"
CheckBox  150, 150, 70, 8, "FULL SCREEN", .CheckBox3440
Text      210, 150, 12, 8, "***"







'''''''''''''''''''''''''''''''''''''''''''''''''' Begin & End Comments
GroupBox 140, 171, 90, 38
CheckBox 145, 180, 80, 8, ">>> BEGIN + END<<<", .CheckBox1417a
TextBox  142, 194, 85, 12, .EditBox1417







'''''''''''''''''''''''''''''''''''''''''''''''''''Canned $$ Comments
GroupBox 8,  171, 240, 140
GroupBox 6,  169, 244, 144
GroupBox 8,  171,  80, 20
Text     12, 178,  75, 8, "Canned $$ Comments:"

CheckBox 15, 192, 40, 8, "$$ <>", .CheckBox1
CheckBox 55, 192, 40, 8, "$$ |", .CheckBoX8
CheckBox 95, 192, 45, 8, "$$ - - - - -", .CheckBox5


CheckBox 15, 220, 50, 8, "$$ \\\ Slope", .CheckBox2
CheckBox 15, 233, 50, 8, "$$ /// Slope", .CheckBox3

CheckBox 65, 220, 50, 8, "$$ ||| Slope", .CheckBox9
CheckBox 65, 233, 50, 8, "$$ ||| Slope", .CheckBox10

CheckBox 120, 220, 50, 8, "$$ Move In", .CheckBoxIN
CheckBox 120, 233, 50, 8, "$$ Move Out", .CheckBoxMV

CheckBox 135, 250, 30, 8, "$$ \ ", .CheckBox15
  Text   145, 258, 27, 8, "     /"

CheckBox 175, 250, 40, 8, "$$ / ", .CheckBox16
  Text   185, 258, 27, 8, "     \"

CheckBox 135, 275, 30, 8, "$$ \\\", .CheckBox19
    Text 155, 283, 20, 8, "///"
    Text 155, 291, 20, 8, "\\\"

CheckBox 175, 275, 40, 8, "$$ ///", .CheckBox20
    Text 195, 283, 20, 8, "\\\"
    Text 195, 291, 20, 8, "///"




CheckBox 15, 206, 100, 8, "$$ ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~", .CheckBox18

CheckBox 15, 250, 105, 8, "$$ !!! WARNING MOVE ALL !!!", .CheckBox11

CheckBox 15, 263, 115, 8, "$$ _-_-_- PROBE CHANGE -_-_-_", .CheckBox12

CheckBox 15, 277, 100, 8, "$$ ||| DIMENSIONS |||", .CheckBox4

CheckBox 15, 297, 70, 8, "$$ (blank space)", .CheckBox499

CheckBox 85, 297, 70, 8, "$$ =============", .CheckBox599


CheckBox 180, 220, 60, 8, "Empty Blocks", .CheckBox1992
CheckBox 180, 233, 65, 8, "Crosshair Blocks", .CheckBox1993








'''''''''''''''''''''''''''''''''''''''''''''''Custom Report Comment
GroupBox 258, 3,220,155
GroupBox 256, 1,224,159
GroupBox 258, 3, 90,20
   Text 262, 10, 85, 8, "Custom Report Comment:"
   Text 370, 15, 90, 8, "*** Special Brackets ***"
Textbox 380, 28, 65, 11, .EditBox95
CheckBox 270, 30, 80, 8, "SPACE LINE BEFORE", .CheckBox9193
 TextBox 265, 40, 205, 12, .EditBox91
 TextBox 265, 52, 205, 12, .EditBox92
 TextBox 265, 64, 205, 12, .EditBox93
CheckBox 275, 80, 80, 8, "SPACE LINE AFTER", .CheckBox9194

GroupBox 258, 88, 220, 24
CheckBox 270, 97, 40, 8, "Bubble #", .CheckBox9196
 TextBox 310, 96, 30, 12, .EditBox9196

CheckBox 390, 97, 70, 8, "1-LINE BLANK", .CheckBox9195

     Text 265, 115, 50, 10, "Page #:"
  Textbox 295, 115, 40, 10, .Editbox202

CheckBox 375, 115, 60, 8, "FORM FEED", .CheckBox133
     Text 265, 130, 140, 10, "View/Section/Detail:"
  Textbox 333, 130, 110, 10, .Editbox201

CheckBox 265, 146, 110, 8, "Total # of Dims and # OUTTOL", .CheckBox90218

CheckBox 390, 146, 80, 8, "Inspection Run Time", .CheckBox90210





    Text 255, 170,160, 5, "   |- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - "
    Text 255, 175, 50, 5, "  ||"
    Text 255, 180, 50, 5, " |||"
    Text 255, 185, 50, 5, "||||"
    Text 255, 190, 50, 5, " |||"
    Text 255, 195, 50, 5, "  ||"
    Text 255, 200,160, 5, "   |- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - "


'[][][][][][][][][][][][][][]   Insert Operator Input Script call, variables, 3-try test  [][][][][][][][][][][][][][][][][][][][][][] 
CheckBox 270, 178, 140, 8, "Operator Input Script Call + Variables", .CheckBox1977

'[][][][][][][][][][][][][][][]     Date, Time, Part Name, Filename PDF Print Command     [][][][][][][][][][][][][][][][][][][][][][]
CheckBox 270, 192, 140, 8, "Serial +Date +Time PDF Print Command", .CheckBox2977
    
    Text 415, 170, 50, 5, "|"
    Text 415, 175, 50, 5, "||"
    Text 415, 180, 50, 5, "|||"
    Text 415, 185, 50, 5, "||||"
    Text 415, 190, 50, 5, "|||"
    Text 415, 195, 50, 5, "||"
    Text 415, 200, 50, 5, "|"


''''''''''''''''''''''' Export Dimension List to CSV ''''''''''''''''''''''''''''''''
CheckBox 430, 165, 140, 8, "Export Dim", .CheckBox9876
    Text 435, 175, 140, 8, "  List to CSV"





''''''''''''''''''''''''''''''''''''''''''''''''Custom $$ Comment
GroupBox 258, 212, 230,145
GroupBox 256, 210, 234,149
GroupBox 258, 212, 84,20
    Text 262, 219, 70, 8, "Custom $$ Comment:"

CheckBox 262, 234, 135, 8, "$$ - - - - Program Revision Record - - - -", .CheckBoxE36
Text     272, 244, 50, 8, "Created by:"
TextBox  315, 244, 130, 10, .EditBoxE36
CheckBox 262, 262, 145, 8, "$$ - - - - SETUP INSTRUCTIONS - - - -", .CheckBoxE46
CheckBox 430, 262, 30, 8, "NOTE:", .CheckBox7071
TextBox 265, 274, 205, 12, .EditBox13
TextBox 265, 286, 205, 12, .EditBox14
TextBox 265, 298, 205, 12, .EditBox15
TextBox 265, 310, 205, 12, .EditBox16
CheckBox 270, 325, 150, 8, "Make this a New Canned Comment", .CheckBox7072
CheckBox 280, 340, 160, 8, "Use previously created New Canned Comment", .CheckBox7073




'''''''''''''''''''''''''''''''''''''''''''''''' 3D Constructed X, Y, and Z Axis Lines from Current Coordinate System
GroupBox 5, 314, 80, 50  
CheckBox 17, 320, 75, 8, "  Constructed", .CheckBox3078
Text     15, 330, 75, 8, "3D XYZ Axis Lines"
Text     15, 340, 75, 8, "and Origin Point"
Text     12, 350, 75, 8, "of Current Coord Sys."





'''''''''''''''''''''''''''''''''''''''Wrap Up Dialog
  GroupBox 103,316,88,38
  GroupBox 105,318,84,34
  GroupBox 107,320,80,30
      Text 112, 325, 70, 10, "# of Times to Repeat:"
   Textbox 135, 335, 20, 10, .Editbox650


OKButton 195, 325, 55, 35

End Dialog












'-------------------------------------------------------------------------------------------------------
' []  []  []  []  []  []  []  []  Begin Actions Based on Inputs  []  []  []  []  []  []  []  []  []  []   
'-------------------------------------------------------------------------------------------------------

Dim dlg1 As DLG_REPORT_COMMENT
buttonval = Dialog(dlg1)


Dim Repeater as Integer
Repeater = dlg1.EditBox650

Dim LR As Integer
LR = Len(dlg1.EditBox650)

If LR > 0 Then
Repeater = dlg1.EditBox650
End If

If LR = 0 Then
Repeater = 1
End If


'---------------------- LOOP FOR # OF TIMES TO REPEAT OPTION -------------------
Do While Repeater > 0



'--------------------- XYZ Line & Origin Point ---------------------



If dlg1.CheckBox3078 = 1 Then

Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText("|", COMMENT_FIELD, 1)
retvaltype = DmisCommand.PutText("||", COMMENT_FIELD, 2)
retvaltype = DmisCommand.PutText("|||-|-|-|-|-|-|-|-|-|-|-|-|-|-|-|-|-|-|-|-|-|", COMMENT_FIELD, 3)
DmisCommand.ReDraw

  Set DmisCommand = DmisCommands.Add(CONST_ALN_LINE, TRUE)
    DmisCommand.Marked = TRUE
    retval = DmisCommand.PutText ("-5", THEO_SX, 0)
    retval = DmisCommand.PutText ("0", THEO_SY, 0)
    retval = DmisCommand.PutText ("0", THEO_SZ, 0)
    retval = DmisCommand.PutText ("5", THEO_EX, 0)
    retval = DmisCommand.PutText ("0", THEO_EY, 0)
    retval = DmisCommand.PutText ("0", THEO_EZ, 0)
    retval = DmisCommand.PutText ("1", THEO_I, 0)
    retval = DmisCommand.PutText ("0", THEO_J, 0)
    retval = DmisCommand.PutText ("0", THEO_K, 0)
    retval = DmisCommand.PutText ("0", SURFVEC_I, 0)
    retval = DmisCommand.PutText ("0", SURFVEC_J, 0)
    retval = DmisCommand.PutText ("0", SURFVEC_K, 0)
    retval = DmisCommand.PutText ("10", THEO_LENGTH, 0)
    retval = DmisCommand.PutText ("-5", MEAS_SX, 0)
    retval = DmisCommand.PutText ("0", MEAS_SY, 0)
    retval = DmisCommand.PutText ("0", MEAS_SZ, 0)
    retval = DmisCommand.PutText ("5", MEAS_EX, 0)
    retval = DmisCommand.PutText ("0", MEAS_EY, 0)
    retval = DmisCommand.PutText ("0", MEAS_EZ, 0)
    retval = DmisCommand.PutText ("1", MEAS_I, 0)
    retval = DmisCommand.PutText ("0", MEAS_J, 0)
    retval = DmisCommand.PutText ("0", MEAS_K, 0)
    retval = DmisCommand.PutText ("10", MEAS_LENGTH, 0)
    retval = DmisCommand.PutText ("3DLINE_X_AXIS_OF_" + CurAlignName, ID, 0)
    retval = DmisCommand.SetToggleString (1, COORD_TYPE, 0)
    retval = DmisCommand.SetToggleString (1, BOUND_TYPE, 0)
    retval = DmisCommand.SetToggleString (2, AXIS, 0)
    retval = DmisCommand.SetToggleString (2, USER_DEFINED_THEOS, 0)
  
  Set DmisCommand = DmisCommands.Add(CONST_ALN_LINE, TRUE)
    DmisCommand.Marked = TRUE
    retval = DmisCommand.PutText ("0", THEO_SX, 0)
    retval = DmisCommand.PutText ("-5", THEO_SY, 0)
    retval = DmisCommand.PutText ("0", THEO_SZ, 0)
    retval = DmisCommand.PutText ("0", THEO_EX, 0)
    retval = DmisCommand.PutText ("5", THEO_EY, 0)
    retval = DmisCommand.PutText ("0", THEO_EZ, 0)
    retval = DmisCommand.PutText ("0", THEO_I, 0)
    retval = DmisCommand.PutText ("1", THEO_J, 0)
    retval = DmisCommand.PutText ("0", THEO_K, 0)
    retval = DmisCommand.PutText ("0", SURFVEC_I, 0)
    retval = DmisCommand.PutText ("0", SURFVEC_J, 0)
    retval = DmisCommand.PutText ("0", SURFVEC_K, 0)
    retval = DmisCommand.PutText ("10", THEO_LENGTH, 0)
    retval = DmisCommand.PutText ("0", MEAS_SX, 0)
    retval = DmisCommand.PutText ("-5", MEAS_SY, 0)
    retval = DmisCommand.PutText ("0", MEAS_SZ, 0)
    retval = DmisCommand.PutText ("0", MEAS_EX, 0)
    retval = DmisCommand.PutText ("5", MEAS_EY, 0)
    retval = DmisCommand.PutText ("0", MEAS_EZ, 0)
    retval = DmisCommand.PutText ("0", MEAS_I, 0)
    retval = DmisCommand.PutText ("1", MEAS_J, 0)
    retval = DmisCommand.PutText ("0", MEAS_K, 0)
    retval = DmisCommand.PutText ("10", MEAS_LENGTH, 0)
    retval = DmisCommand.PutText ("3DLINE_Y_AXIS_OF_" + CurAlignName, ID, 0)
    retval = DmisCommand.SetToggleString (1, COORD_TYPE, 0)
    retval = DmisCommand.SetToggleString (1, BOUND_TYPE, 0)
    retval = DmisCommand.SetToggleString (3, AXIS, 0)
    retval = DmisCommand.SetToggleString (2, USER_DEFINED_THEOS, 0)
  
  Set DmisCommand = DmisCommands.Add(CONST_ALN_LINE, TRUE)
    DmisCommand.Marked = TRUE
    retval = DmisCommand.PutText ("0", THEO_SX, 0)
    retval = DmisCommand.PutText ("0", THEO_SY, 0)
    retval = DmisCommand.PutText ("-0.5", THEO_SZ, 0)
    retval = DmisCommand.PutText ("0", THEO_EX, 0)
    retval = DmisCommand.PutText ("0", THEO_EY, 0)
    retval = DmisCommand.PutText ("0.5", THEO_EZ, 0)
    retval = DmisCommand.PutText ("0", THEO_I, 0)
    retval = DmisCommand.PutText ("0", THEO_J, 0)
    retval = DmisCommand.PutText ("1", THEO_K, 0)
    retval = DmisCommand.PutText ("0", SURFVEC_I, 0)
    retval = DmisCommand.PutText ("0", SURFVEC_J, 0)
    retval = DmisCommand.PutText ("1", THEO_LENGTH, 0)
    retval = DmisCommand.PutText ("0", MEAS_SX, 0)
    retval = DmisCommand.PutText ("0", MEAS_SY, 0)
    retval = DmisCommand.PutText ("-0.5", MEAS_SZ, 0)
    retval = DmisCommand.PutText ("0", MEAS_EX, 0)
    retval = DmisCommand.PutText ("0", MEAS_EY, 0)
    retval = DmisCommand.PutText ("0.5", MEAS_EZ, 0)
    retval = DmisCommand.PutText ("0", MEAS_I, 0)
    retval = DmisCommand.PutText ("0", MEAS_J, 0)
    retval = DmisCommand.PutText ("1", MEAS_K, 0)
    retval = DmisCommand.PutText ("1", MEAS_LENGTH, 0)
    retval = DmisCommand.PutText ("3DLINE_Z_AXIS_OF_" + CurAlignName, ID, 0)
    retval = DmisCommand.SetToggleString (1, COORD_TYPE, 0)
    retval = DmisCommand.SetToggleString (1, BOUND_TYPE, 0)
    retval = DmisCommand.SetToggleString (1, AXIS, 0)
    retval = DmisCommand.SetToggleString (2, USER_DEFINED_THEOS, 0)

  Set DmisCommand = DmisCommands.Add(CONST_ORIG_POINT, TRUE)
    DmisCommand.Marked = TRUE
    retval = DmisCommand.PutText ("0", THEO_X, 0)
    retval = DmisCommand.PutText ("0", THEO_Y, 0)
    retval = DmisCommand.PutText ("0", THEO_Z, 0)
    retval = DmisCommand.PutText ("0", THEO_I, 0)
    retval = DmisCommand.PutText ("0", THEO_J, 0)
    retval = DmisCommand.PutText ("1", THEO_K, 0)
    retval = DmisCommand.PutText ("0", MEAS_X, 0)
    retval = DmisCommand.PutText ("0", MEAS_Y, 0)
    retval = DmisCommand.PutText ("0", MEAS_Z, 0)
    retval = DmisCommand.PutText ("0", MEAS_I, 0)
    retval = DmisCommand.PutText ("0", MEAS_J, 0)
    retval = DmisCommand.PutText ("1", MEAS_K, 0)
    retval = DmisCommand.PutText ("ORIGIN_POINT_OF_" + CurAlignName, ID, 0)
    retval = DmisCommand.SetToggleString (1, COORD_TYPE, 0)
    retval = DmisCommand.SetToggleString (2, USER_DEFINED_THEOS, 0)

Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText("|||-|-|-|-|-|-|-|-|-|-|-|-|-|-|-|-|-|-|-|-|-|", COMMENT_FIELD, 1)
retvaltype = DmisCommand.PutText("||", COMMENT_FIELD, 2)
retvaltype = DmisCommand.PutText("|", COMMENT_FIELD, 3)
DmisCommand.ReDraw

End If







'-------  SECTION A: CANNED COMMENTS -----------------------
If dlg1.CheckBox1 = 1 Then
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText("<>", COMMENT_FIELD, 1)
DmisCommand.ReDraw
End If
'------------------------------
If dlg1.CheckBox2 = 1 Then
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText("\", COMMENT_FIELD, 1)
retvaltype = DmisCommand.PutText("\\", COMMENT_FIELD, 2)
retvaltype = DmisCommand.PutText("\\\", COMMENT_FIELD, 3)
DmisCommand.ReDraw
End If
'------------------------------
If dlg1.CheckBox3 = 1 Then
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText("///", COMMENT_FIELD, 1)
retvaltype = DmisCommand.PutText("//", COMMENT_FIELD, 2)
retvaltype = DmisCommand.PutText("/", COMMENT_FIELD, 3)
DmisCommand.ReDraw
End If
'------------------------------
If dlg1.CheckBox4 = 1 Then
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText("||||||||||||||||||||||||||||||||||||||||||||||||||||", COMMENT_FIELD, 1)
retvaltype = DmisCommand.PutText("                      DIMENSIONS                     ", COMMENT_FIELD, 2)
retvaltype = DmisCommand.PutText("||||||||||||||||||||||||||||||||||||||||||||||||||||", COMMENT_FIELD, 3)
DmisCommand.ReDraw
End If
'------------------------------
If dlg1.CheckBox5 = 1 Then
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText("-----", COMMENT_FIELD, 1)
DmisCommand.ReDraw
End If

'------------------------------
If dlg1.CheckBox8 = 1 Then
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText("|", COMMENT_FIELD, 1)
retvaltype = DmisCommand.PutText("|", COMMENT_FIELD, 2)
retvaltype = DmisCommand.PutText("|", COMMENT_FIELD, 3)
DmisCommand.ReDraw
End If
'------------------------------
If dlg1.CheckBox9 = 1 Then
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText("|", COMMENT_FIELD, 1)
retvaltype = DmisCommand.PutText("||", COMMENT_FIELD, 2)
retvaltype = DmisCommand.PutText("|||", COMMENT_FIELD, 3)
DmisCommand.ReDraw
End If
'------------------------------
If dlg1.CheckBox10 = 1 Then
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText("|||", COMMENT_FIELD, 1)
retvaltype = DmisCommand.PutText("||", COMMENT_FIELD, 2)
retvaltype = DmisCommand.PutText("|", COMMENT_FIELD, 3)
DmisCommand.ReDraw
End If
'------------------------------
If dlg1.CheckBox11 = 1 Then
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText("!!!!!!!!!!!!!!!!!!! WARNING MOVE ALL !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!", COMMENT_FIELD, 1)
DmisCommand.ReDraw
End If
'------------------------------
If dlg1.CheckBox12 = 1 Then
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText("_-_-_-_-_-_-_-_-_-_-_- PROBE CHANGE -_-_-_-_-_-_-_-_-_-_-_-_-", COMMENT_FIELD, 1)
DmisCommand.ReDraw
End If
'------------------------------
If dlg1.CheckBox1992 = 1 Then
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText(" _____          _____          _____          _____          _____          _____          _____", COMMENT_FIELD, 1)
retvaltype = DmisCommand.PutText("|     |        |     |        |     |        |     |        |     |        |     |        |     |", COMMENT_FIELD, 2)
retvaltype = DmisCommand.PutText("|_____|        |_____|        |_____|        |_____|        |_____|        |_____|        |_____|", COMMENT_FIELD, 3)
retvaltype = DmisCommand.PutText("     ", COMMENT_FIELD, 4)
DmisCommand.ReDraw
End If
'------------------------------
If dlg1.CheckBox1993 = 1 Then
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText(" _____          _____          _____          _____          _____          _____          _____", COMMENT_FIELD, 1)
retvaltype = DmisCommand.PutText("|__|__|        |__|__|        |__|__|        |__|__|        |__|__|        |__|__|        |__|__|", COMMENT_FIELD, 2)
retvaltype = DmisCommand.PutText("|__|__|        |__|__|        |__|__|        |__|__|        |__|__|        |__|__|        |__|__|", COMMENT_FIELD, 3)
retvaltype = DmisCommand.PutText("     ", COMMENT_FIELD, 4)
DmisCommand.ReDraw
End If




''''''''''''''''' Begin & End pairs with input
'------------------------------
Dim customstr1417 As String
customstr1417 = dlg1.EditBox1417
Dim B1417 As String
B1417 = ">>>>> Begin "+customstr1417+" >>>>>"
Dim E1417 As String
E1417 = "<<<<< End "+customstr1417+" <<<<<"
'------------------------------
If dlg1.CheckBox1417a = 1 Then
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText(B1417, COMMENT_FIELD, 1)
DmisCommand.ReDraw
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText(E1417, COMMENT_FIELD, 1)
'retvaltype = DmisCommand.PutText("/// End Group ////////////////////////////////", COMMENT_FIELD, 1)
DmisCommand.ReDraw
End If
'------------------------------







'------------------------------
If dlg1.CheckBox15 = 1 Then
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText("\", COMMENT_FIELD, 1)
retvaltype = DmisCommand.PutText(" \", COMMENT_FIELD, 2)
retvaltype = DmisCommand.PutText("  \", COMMENT_FIELD, 3)
DmisCommand.ReDraw

Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText("  /", COMMENT_FIELD, 1)
retvaltype = DmisCommand.PutText(" /", COMMENT_FIELD, 2)
retvaltype = DmisCommand.PutText("/", COMMENT_FIELD, 3)
DmisCommand.ReDraw
End If
'------------------------------
If dlg1.CheckBox16 = 1 Then
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText("  /", COMMENT_FIELD, 1)
retvaltype = DmisCommand.PutText(" /", COMMENT_FIELD, 2)
retvaltype = DmisCommand.PutText("/", COMMENT_FIELD, 3)
DmisCommand.ReDraw
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText("\", COMMENT_FIELD, 1)
retvaltype = DmisCommand.PutText(" \", COMMENT_FIELD, 2)
retvaltype = DmisCommand.PutText("  \", COMMENT_FIELD, 3)
End If

'------------------------------
If dlg1.CheckBox18 = 1 Then
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText("~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~", COMMENT_FIELD, 1)
DmisCommand.ReDraw
End If
'------------------------------
If dlg1.CheckBox19 = 1 Then
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText("\\\", COMMENT_FIELD, 1)
retvaltype = DmisCommand.PutText(" \\\", COMMENT_FIELD, 2)
retvaltype = DmisCommand.PutText("  \\\", COMMENT_FIELD, 3)
retvaltype = DmisCommand.PutText("  ///", COMMENT_FIELD, 4)
retvaltype = DmisCommand.PutText(" ///", COMMENT_FIELD, 5)
retvaltype = DmisCommand.PutText("///", COMMENT_FIELD, 6)
retvaltype = DmisCommand.PutText("\\\", COMMENT_FIELD, 7)
retvaltype = DmisCommand.PutText(" \\\", COMMENT_FIELD, 8)
retvaltype = DmisCommand.PutText("  \\\", COMMENT_FIELD, 9)
DmisCommand.ReDraw
End If
'------------------------------
If dlg1.CheckBox20 = 1 Then
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText("  ///", COMMENT_FIELD, 1)
retvaltype = DmisCommand.PutText(" ///", COMMENT_FIELD, 2)
retvaltype = DmisCommand.PutText("///", COMMENT_FIELD, 3)
retvaltype = DmisCommand.PutText("\\\", COMMENT_FIELD, 4)
retvaltype = DmisCommand.PutText(" \\\", COMMENT_FIELD, 5)
retvaltype = DmisCommand.PutText("  \\\", COMMENT_FIELD, 6)
retvaltype = DmisCommand.PutText("  ///", COMMENT_FIELD, 7)
retvaltype = DmisCommand.PutText(" ///", COMMENT_FIELD, 8)
retvaltype = DmisCommand.PutText("///", COMMENT_FIELD, 9)
DmisCommand.ReDraw
End If
'------------------------------
If dlg1.CheckBox499 = 1 Then
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText(" ", COMMENT_FIELD, 1)
DmisCommand.ReDraw
End If
'------------------------------
If dlg1.CheckBox599 = 1 Then
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText("===========================================", COMMENT_FIELD, 1)
DmisCommand.ReDraw
End If

'------------------------------
If dlg1.CheckBoxIN = 1 Then
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText(" <- Move In", COMMENT_FIELD, 1)
DmisCommand.ReDraw
End If
If dlg1.CheckBoxMV = 1 Then
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText(" Move Out ->", COMMENT_FIELD, 1)
DmisCommand.ReDraw
End If
'------------------------------




'- - - - CUSTOM $$ DOCUMENT COMMENT ------------------------------
'     handling:
Dim customstr13 As String
customstr13 = dlg1.EditBox13
Dim lenstr13 As Integer
lenstr13 = Len(dlg1.EditBox13)

Dim customstr14 As String
customstr14 = dlg1.EditBox14
Dim lenstr14 As Integer
lenstr14 = Len(dlg1.EditBox14)

Dim customstr15 As String
customstr15 = dlg1.EditBox15
Dim lenstr15 As Integer
lenstr15 = Len(dlg1.EditBox15)

Dim customstr16 As String
customstr16 = dlg1.EditBox16
Dim lenstr16 As Integer
lenstr16 = Len(dlg1.EditBox16)

'Dim customstr17 As String
'customstr17 = dlg1.EditBox17
'Dim lenstr17 As Integer
'lenstr17 = Len(dlg1.EditBox17)

'Dim customstr18 As String
'customstr18 = dlg1.EditBox18
'Dim lenstr18 As Integer
'lenstr18 = Len(dlg1.EditBox18)


Dim customstrE36 As String
customstrE36 = dlg1.EditBoxE36
Dim lenstrE36 As Integer
lenstrE36 = Len(dlg1.EditBoxE36)


'- - - - CUSTOM $$ DOCUMENT COMMENT, Setup Instructions  ------------------------------
If dlg1.CheckBoxE46 = 1 Then
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)

 If dlg1.CheckBoxE46 = 1  Then
retvaltype = DmisCommand.PutText("------------ Setup Instructions ----------------------------------------------------------------", COMMENT_FIELD, 1)
 End If

 If lenstr13 = 0 Then
 retvaltype = DmisCommand.PutText("    ", COMMENT_FIELD, 2)
retvaltype = DmisCommand.PutText("----------------------------------------------------------------------------", COMMENT_FIELD, 3)
 End If

 If lenstr13 > 0 Then
 retvaltype = DmisCommand.PutText(customstr13, COMMENT_FIELD, 2)
 End If

 If lenstr14 = 0 And lenstr13 > 0 Then
 retvaltype = DmisCommand.PutText("    ", COMMENT_FIELD, 3)
retvaltype = DmisCommand.PutText("----------------------------------------------------------------------------", COMMENT_FIELD, 4)
 End If

 If lenstr14 > 0 Then
 retvaltype = DmisCommand.PutText(customstr14, COMMENT_FIELD, 3)
 End If

 If lenstr15 = 0 And lenstr14 > 0 Then
 retvaltype = DmisCommand.PutText("    ", COMMENT_FIELD, 4)
retvaltype = DmisCommand.PutText("----------------------------------------------------------------------------", COMMENT_FIELD, 5)
 End If

 If lenstr15 > 0 Then
 retvaltype = DmisCommand.PutText(customstr15, COMMENT_FIELD, 4)
 End If

 If lenstr16 = 0 And lenstr15 > 0 Then
 retvaltype = DmisCommand.PutText("    ", COMMENT_FIELD, 5)
retvaltype = DmisCommand.PutText("----------------------------------------------------------------------------", COMMENT_FIELD, 6)
 End If

 If lenstr16 > 0 Then
 retvaltype = DmisCommand.PutText(customstr16, COMMENT_FIELD, 5)
retvaltype = DmisCommand.PutText("----------------------------------------------------------------------------", COMMENT_FIELD, 6)
 End If



 End If


'- - - - CUSTOM $$ DOCUMENT COMMENT, Program Revisions  ------------------------------
If dlg1.CheckBoxE36 = 1 Then
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText("------------ Program Revision Record ---------------------------------------", COMMENT_FIELD, 1)
retvaltype = DmisCommand.PutText(" | Rev: | Date:       | By:     | Details:", COMMENT_FIELD, 2)
retvaltype = DmisCommand.PutText("-> 0    | " + Dated + " | " +customstrE36 + " | Initial Creation", COMMENT_FIELD, 3)

 If lenstr13 = 0 Then
 retvaltype = DmisCommand.PutText("-> ", COMMENT_FIELD, 4)
 End If
 If lenstr13 > 0 Then
 retvaltype = DmisCommand.PutText(customstr13, COMMENT_FIELD, 4)
 End If

 If lenstr14 = 0 Then
 retvaltype = DmisCommand.PutText("-> ", COMMENT_FIELD, 5)
 End If
 If lenstr14 > 0 Then
 retvaltype = DmisCommand.PutText(customstr14, COMMENT_FIELD, 5)
 End If

 If lenstr15 = 0 Then
 retvaltype = DmisCommand.PutText("-> ", COMMENT_FIELD, 6)
 End If
 If lenstr15 > 0 Then
 retvaltype = DmisCommand.PutText(customstr15, COMMENT_FIELD, 6)
 End If

 If lenstr16 = 0 Then
 retvaltype = DmisCommand.PutText("-> ", COMMENT_FIELD, 7)
 End If
 If lenstr16 > 0 Then
 retvaltype = DmisCommand.PutText(customstr16, COMMENT_FIELD, 7)
 End If

 If lenstr17 = 0 Then
 retvaltype = DmisCommand.PutText("-> ", COMMENT_FIELD, 8)
 End If
 If lenstr17 > 0 Then
 retvaltype = DmisCommand.PutText(customstr17, COMMENT_FIELD, 8)
 End If

 If lenstr18 = 0 Then
 retvaltype = DmisCommand.PutText("-> ", COMMENT_FIELD, 8)
 End If
 If lenstr18 > 0 Then
 retvaltype = DmisCommand.PutText(customstr18, COMMENT_FIELD, 8)
 End If

 If lenstr19 = 0 Then
 retvaltype = DmisCommand.PutText("-> ", COMMENT_FIELD, 9)
 End If
 If lenstr19 > 0 Then
 retvaltype = DmisCommand.PutText(customstr19, COMMENT_FIELD, 9)
 End If

 If lenstr20 = 0 Then
 retvaltype = DmisCommand.PutText("-> ", COMMENT_FIELD, 10)
 End If
 If lenstr20 > 0 Then
 retvaltype = DmisCommand.PutText(customstr20, COMMENT_FIELD, 10)
 End If

retvaltype = DmisCommand.PutText("----------------------------------------------------------------------------", COMMENT_FIELD, 11)



 End If



'- - - - CUSTOM $$ DOCUMENT COMMENT, no options except "NOTE:" ------------------------------
If lenstr13 > 0 And dlg1.CheckBoxE36 = 0 And dlg1.CheckBoxE46 = 0 Then
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)

 If dlg1.Checkbox7071 = 1 Then
 retvaltype = DmisCommand.PutText("NOTE: " + customstr13, COMMENT_FIELD, 1)
 End If

 If dlg1.Checkbox7071 = 0 And dlg1.CheckBoxE36 = 0 And dlg1.CheckBoxE46 = 0 Then
 retvaltype = DmisCommand.PutText(customstr13, COMMENT_FIELD, 1)
 End If

 If lenstr14 > 0 Then
 retvaltype = DmisCommand.PutText(customstr14, COMMENT_FIELD, 2)
 End If

 If lenstr15 > 0 Then
 retvaltype = DmisCommand.PutText(customstr15, COMMENT_FIELD, 3)
 End If

 If lenstr16 > 0 Then
 retvaltype = DmisCommand.PutText(customstr16, COMMENT_FIELD, 4)
 End If

 If lenstr17 > 0 Then
 retvaltype = DmisCommand.PutText(customstr17, COMMENT_FIELD, 5)
 End If

 If lenstr18 > 0 Then
 retvaltype = DmisCommand.PutText(customstr18, COMMENT_FIELD, 6)
 End If

 If lenstr19 > 0 Then
 retvaltype = DmisCommand.PutText(customstr19, COMMENT_FIELD, 7)
 End If

 If lenstr20 > 0 Then
 retvaltype = DmisCommand.PutText(customstr20, COMMENT_FIELD, 8)
 End If


     If dlg1.Checkbox7072 = 1 Then
      Open "C:\TEMP\NEWCANNED.txt" For Output As #1
      print #1, customstr13

       If lenstr14 > 0 Then
       print #1, customstr14
       End If

       If lenstr15 > 0 Then
       print #1, customstr15
       End If

       If lenstr16 > 0 Then
       print #1, customstr16
       End If

       If lenstr17 > 0 Then
       print #1, customstr17
       End If

       If lenstr18 > 0 Then
       print #1, customstr18
       End If

       If lenstr19 > 0 Then
       print #1, customstr19
       End If

       If lenstr20 > 0 Then
       print #1, customstr20
       End If

      Close #1
    End If

DmisCommand.ReDraw
End If


'''''''''''' NEW CANNED COMMENT !$%%$^&#*^@%^!$%~%%^@^&^@$&*()_$*~!%!^% '''''''''''
      If dlg1.Checkbox7073 = 1 Then
Dim Line1 As String
Dim Line2 As String
Dim Line3 As String
Dim Line4 As String
Dim Line5 As String
Dim Line6 As String
Dim Line7 As String
Dim Line8 As String
Dim Line9 As String

      Open "C:\TEMP\NEWCANNED.txt" For Input As #1
      Line Input #1, Line1
      Line Input #1, Line2
      Line Input #1, Line3
      Line Input #1, Line4
      Line Input #1, Line5
      Line Input #1, Line6
      Line Input #1, Line7
      Line Input #1, Line8
      Line Input #1, Line9
      Close #1

Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
 retvaltype = DmisCommand.PutText(Line1, COMMENT_FIELD, 1)
 retvaltype = DmisCommand.PutText(Line2, COMMENT_FIELD, 2)
 retvaltype = DmisCommand.PutText(Line3, COMMENT_FIELD, 3)
 retvaltype = DmisCommand.PutText(Line4, COMMENT_FIELD, 4)
 retvaltype = DmisCommand.PutText(Line5, COMMENT_FIELD, 5)
 retvaltype = DmisCommand.PutText(Line6, COMMENT_FIELD, 6)
 retvaltype = DmisCommand.PutText(Line7, COMMENT_FIELD, 7)
 retvaltype = DmisCommand.PutText(Line8, COMMENT_FIELD, 8)
 retvaltype = DmisCommand.PutText(Line9, COMMENT_FIELD, 9)
End If








'- - - - CUSTOM OPERATOR COMMENTS  ------------------------------
'         HANDLING
Dim customstr23 As String

If dlg1.CheckBox2327 = 1 Then
 customstr23 = "CLICK OK THEN  "+ dlg1.EditBox23
End If
If dlg1.CheckBox2327 = 0 Then
customstr23 = dlg1.EditBox23
End If
Dim lenstr23 As Integer
lenstr23 = Len(dlg1.EditBox23)

Dim customstr24 As String
customstr24 = dlg1.EditBox24
Dim lenstr24 As Integer
lenstr24 = Len(dlg1.EditBox24)

Dim customstr25 As String
customstr25 = dlg1.EditBox25
Dim lenstr25 As Integer
lenstr25 = Len(dlg1.EditBox25)

Dim customstr26 As String
customstr26 = dlg1.EditBox26
Dim lenstr26 As Integer
lenstr26 = Len(dlg1.EditBox26)

Dim customstr27 As String
customstr27 = dlg1.EditBox27
Dim lenstr27 As Integer
lenstr27 = Len(dlg1.EditBox27)

Dim customstr29 As String
customstr29 = dlg1.EditBox29
Dim lenstr29 As Integer
lenstr29 = Len(dlg1.EditBox29)




' - - - - OPERATOR COMMENT:  with '... THEN CLICK OK' CHECKBOX -----------

If lenstr23 > 0 And dlg1.CheckBox2328 = 1 Then
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("OPER", COMMENT_TYPE, 0)

retvaltype = DmisCommand.PutText(customstr23, COMMENT_FIELD, 1)

 If lenstr24 = 0 Then
 retvaltype = DmisCommand.PutText("THEN CLICK OK.", COMMENT_FIELD, 2)
 End If
 If lenstr24 > 0 Then
 retvaltype = DmisCommand.PutText(customstr24, COMMENT_FIELD, 2)
 End If

 If lenstr24 > 0 And lenstr25 = 0 Then
 retvaltype = DmisCommand.PutText("THEN CLICK OK.", COMMENT_FIELD, 3)
 End If
 If lenstr25 > 0 Then
 retvaltype = DmisCommand.PutText(customstr25, COMMENT_FIELD, 3)
 End If

 If lenstr25 > 0 And lenstr26 = 0 Then
 retvaltype = DmisCommand.PutText("THEN CLICK OK.", COMMENT_FIELD, 4)
 End If
 If lenstr26 > 0 Then
 retvaltype = DmisCommand.PutText(customstr26, COMMENT_FIELD, 4)
 End If

 If lenstr26 > 0 And lenstr27 = 0 Then
 retvaltype = DmisCommand.PutText("THEN CLICK OK.", COMMENT_FIELD, 5)
 End If
 If lenstr27 > 0 Then
 retvaltype = DmisCommand.PutText(customstr27, COMMENT_FIELD, 5)
 End If



retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
     If dlg1.CheckBox2440 = 1 Or dlg1.CheckBox3440 = 1 Then
      retvaltype = DmisCommand.SetToggleString (2, DISPLAY_TYPE, 0)
     End If
     If dlg1.CheckBox2440 = 0 And dlg1.CheckBox3440 = 0 Then
      retvaltype = DmisCommand.SetToggleString (1, DISPLAY_TYPE, 0)
     End If
retvaltype = DmisCommand.PutText ("NO", TIME_ARG, 0)
retvaltype = DmisCommand.PutText ("0", T_VALUE, 0)
DmisCommand.ReDraw
End If

' - - - - OPERATOR COMMENT (with or without 'CLICK OK THEN' checkbox) -----------

If lenstr23 > 0 And dlg1.CheckBox2328 = 0 And dlg1.CheckBox2329 = 0 And dlg1.CheckBox2330 = 0 Then
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("OPER", COMMENT_TYPE, 0)

retvaltype = DmisCommand.PutText(customstr23, COMMENT_FIELD, 1)

 If lenstr24 > 0 Then
 retvaltype = DmisCommand.PutText(customstr24, COMMENT_FIELD, 2)
 End If

 If lenstr25 > 0 Then
 retvaltype = DmisCommand.PutText(customstr25, COMMENT_FIELD, 3)
 End If

 If lenstr26 > 0 Then
 retvaltype = DmisCommand.PutText(customstr26, COMMENT_FIELD, 4)
 End If

 If lenstr27 > 0 Then
 retvaltype = DmisCommand.PutText(customstr27, COMMENT_FIELD, 5)
 End If

retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
     If dlg1.CheckBox2440 = 1 Or dlg1.CheckBox3440 = 1 Then
      retvaltype = DmisCommand.SetToggleString (2, DISPLAY_TYPE, 0)
     End If
     If dlg1.CheckBox2440 = 0 And dlg1.CheckBox3440 = 0 Then
      retvaltype = DmisCommand.SetToggleString (1, DISPLAY_TYPE, 0)
     End If
retvaltype = DmisCommand.PutText ("NO", TIME_ARG, 0)
retvaltype = DmisCommand.PutText ("0", T_VALUE, 0)
DmisCommand.ReDraw
End If




' - - - - OPERATOR COMMENT:  YES/NO  -----------
If lenstr23 > 0 And dlg1.CheckBox2329 = 1 And lenstr29 > 0 Then
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText (customstr29, ID, 0)
retvaltype = DmisCommand.SetToggleString (5, COMMENT_TYPE, 0)
retvaltype = DmisCommand.PutText (customstr23, COMMENT_FIELD, 1)

 If lenstr24 > 0 Then
 retvaltype = DmisCommand.PutText(customstr24, COMMENT_FIELD, 2)
 End If

 If lenstr25 > 0 Then
 retvaltype = DmisCommand.PutText(customstr25, COMMENT_FIELD, 3)
 End If

 If lenstr26 > 0 Then
 retvaltype = DmisCommand.PutText(customstr26, COMMENT_FIELD, 4)
 End If

 If lenstr27 > 0 Then
 retvaltype = DmisCommand.PutText(customstr27, COMMENT_FIELD, 5)
 End If


retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
     If dlg1.CheckBox2440 = 1 Or dlg1.CheckBox3440 = 1 Then
      retvaltype = DmisCommand.SetToggleString (2, DISPLAY_TYPE, 0)
     End If
     If dlg1.CheckBox2440 = 0 And dlg1.CheckBox3440 = 0 Then
      retvaltype = DmisCommand.SetToggleString (1, DISPLAY_TYPE, 0)
     End If
retvaltype = DmisCommand.PutText ("NO", TIME_ARG, 0)
retvaltype = DmisCommand.PutText ("0", T_VALUE, 0)
End If



' - - - - OPERATOR COMMENT:  INPUT  -----------
If lenstr23 > 0 And dlg1.CheckBox2330 = 1 And lenstr29 > 0 Then
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText (customstr29, ID, 0)
retvaltype = DmisCommand.SetToggleString (3, COMMENT_TYPE, 0)
retvaltype = DmisCommand.PutText (customstr23, COMMENT_FIELD, 1)

 If lenstr24 > 0 Then
 retvaltype = DmisCommand.PutText(customstr24, COMMENT_FIELD, 2)
 End If

 If lenstr25 > 0 Then
 retvaltype = DmisCommand.PutText(customstr25, COMMENT_FIELD, 3)
 End If

 If lenstr26 > 0 Then
 retvaltype = DmisCommand.PutText(customstr26, COMMENT_FIELD, 4)
 End If

 If lenstr27 > 0 Then
 retvaltype = DmisCommand.PutText(customstr27, COMMENT_FIELD, 5)
 End If


retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
     If dlg1.CheckBox2440 = 1 Or dlg1.CheckBox3440 = 1 Then
      retvaltype = DmisCommand.SetToggleString (2, DISPLAY_TYPE, 0)
     End If
     If dlg1.CheckBox2440 = 0 And dlg1.CheckBox3440 = 0 Then
      retvaltype = DmisCommand.SetToggleString (1, DISPLAY_TYPE, 0)
     End If
'retvaltype = DmisCommand.PutText ("NO", TIME_ARG, 0)
'retvaltype = DmisCommand.PutText ("0", T_VALUE, 0)
End If



If dlg1.CheckBox440 = 1 Then
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("OPER", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText("Raise Probe Up and clear the Part", COMMENT_FIELD, 1)
retvaltype = DmisCommand.PutText("                     ", COMMENT_FIELD, 2)
retvaltype = DmisCommand.PutText("    Prepare for DCC Motion.", COMMENT_FIELD, 3)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
     If dlg1.CheckBox2440 = 1 Or dlg1.CheckBox3440 = 1 Then
      retvaltype = DmisCommand.SetToggleString (2, DISPLAY_TYPE, 0)
     End If
     If dlg1.CheckBox2440 = 0 And dlg1.CheckBox3440 = 0 Then
      retvaltype = DmisCommand.SetToggleString (1, DISPLAY_TYPE, 0)
     End If
retvaltype = DmisCommand.PutText ("NO", TIME_ARG, 0)
retvaltype = DmisCommand.PutText ("0", T_VALUE, 0)
DmisCommand.ReDraw
End If
'------------------------------





'- - - - - REPORT COMMENT handling --------------------------------------

Dim customstr91 As String
Dim customstr92 As String
Dim customstr93 As String
Dim customstr94 As String
Dim customstr95 As String
Dim lenstr91 As Integer
Dim lenstr92 As Integer
Dim lenstr93 As Integer
Dim lenstr94 As Integer
Dim lenstr95 As Integer


customstr95 = dlg1.EditBox95
lenstr95 = Len(dlg1.EditBox95)

If lenstr95 > 0 Then
 customstr91 = dlg1.EditBox95 + "   " + dlg1.EditBox91 + "   " + dlg1.EditBox95
 lenstr91 = Len(dlg1.EditBox91)

 customstr92 = "       " + dlg1.EditBox92
 lenstr92 = Len(dlg1.EditBox92)

 customstr93 = "       " + dlg1.EditBox93
 lenstr93 = Len(dlg1.EditBox93)
End If

If lenstr95 = 0 Then
 customstr91 = dlg1.EditBox91
 lenstr91 = Len(dlg1.EditBox91)

 customstr92 = dlg1.EditBox92
 lenstr92 = Len(dlg1.EditBox92)

 customstr93 = dlg1.EditBox93
 lenstr93 = Len(dlg1.EditBox93)
End If

'- - - - REPORT COMMENT, NO SPACELINES -----------

If lenstr91 > 0 And dlg1.CheckBox9193 = 0 And dlg1.CheckBox9194 = 0 Then
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("REPT", COMMENT_TYPE, 0)
retvaltype = DmisCommand.PutText(customstr91, COMMENT_FIELD, 1)

 If lenstr92 > 0 Then
 retvaltype = DmisCommand.PutText(customstr92, COMMENT_FIELD, 2)
 End If

 If lenstr93 > 0 Then
 retvaltype = DmisCommand.PutText(customstr93, COMMENT_FIELD, 3)
 End If

 If lenstr94 > 0 Then
 retvaltype = DmisCommand.PutText(customstr94, COMMENT_FIELD, 4)
 End If

DmisCommand.ReDraw
End If




'- - - - REPORT COMMENT, SPACELINE BEFORE ONLY -----------

If lenstr91 > 0 And dlg1.CheckBox9193 = 1 And dlg1.CheckBox9194 = 0 Then
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("REPT", COMMENT_TYPE, 0)
retvaltype = DmisCommand.PutText("       ", COMMENT_FIELD, 1)
retvaltype = DmisCommand.PutText(customstr91, COMMENT_FIELD, 2)

 If lenstr92 > 0 Then
 retvaltype = DmisCommand.PutText(customstr92, COMMENT_FIELD, 3)
 End If

 If lenstr93 > 0 Then
 retvaltype = DmisCommand.PutText(customstr93, COMMENT_FIELD, 4)
 End If

 If lenstr94 > 0 Then
 retvaltype = DmisCommand.PutText(customstr94, COMMENT_FIELD, 5)
 End If

DmisCommand.ReDraw
End If


'- - - - REPORT COMMENT, SPACELINE AFTER ONLY -----------

If lenstr91 > 0 And dlg1.CheckBox9193 = 0 And dlg1.CheckBox9194 = 1 Then
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("REPT", COMMENT_TYPE, 0)

retvaltype = DmisCommand.PutText(customstr91, COMMENT_FIELD, 1)

 If lenstr92 = 0 Then
 retvaltype = DmisCommand.PutText("       ", COMMENT_FIELD, 2)
 End If

 If lenstr92 > 0 Then
 retvaltype = DmisCommand.PutText(customstr92, COMMENT_FIELD, 2)
 End If
 If lenstr92 > 0 And lenstr93 = 0 Then
 retvaltype = DmisCommand.PutText("       ", COMMENT_FIELD, 3)
 End If

 If lenstr93 > 0 Then
 retvaltype = DmisCommand.PutText(customstr93, COMMENT_FIELD, 3)
 End If
 If lenstr93 > 0 And lenstr94 = 0 Then
 retvaltype = DmisCommand.PutText("       ", COMMENT_FIELD, 4)
 End If

 If lenstr94 > 0 Then
 retvaltype = DmisCommand.PutText(customstr94, COMMENT_FIELD, 4)
 retvaltype = DmisCommand.PutText("       ", COMMENT_FIELD, 5)
 End If

DmisCommand.ReDraw
End If


'- - - - REPORT COMMENT, SPACELINE BEFORE AND AFTER -----------

If lenstr91 > 0 And dlg1.CheckBox9193 = 1 And dlg1.CheckBox9194 = 1 Then
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("REPT", COMMENT_TYPE, 0)
retvaltype = DmisCommand.PutText("       ", COMMENT_FIELD, 1)

retvaltype = DmisCommand.PutText(customstr91, COMMENT_FIELD, 2)

 If lenstr92 = 0 Then
 retvaltype = DmisCommand.PutText("       ", COMMENT_FIELD, 3)
 End If

 If lenstr92 > 0 Then
 retvaltype = DmisCommand.PutText(customstr92, COMMENT_FIELD, 3)
 End If
 If lenstr92 > 0 And lenstr93 = 0 Then
 retvaltype = DmisCommand.PutText("       ", COMMENT_FIELD, 4)
 End If

 If lenstr93 > 0 Then
 retvaltype = DmisCommand.PutText(customstr93, COMMENT_FIELD, 4)
 End If
 If lenstr93 > 0 And lenstr94 = 0 Then
 retvaltype = DmisCommand.PutText("       ", COMMENT_FIELD, 5)
 End If

 If lenstr94 > 0 Then
 retvaltype = DmisCommand.PutText(customstr94, COMMENT_FIELD, 5)
 retvaltype = DmisCommand.PutText("       ", COMMENT_FIELD, 6)
 End If

DmisCommand.ReDraw
End If




'- - - - REPORT COMMENT, JUST ONE BLANK SPACELINE -----------
If dlg1.CheckBox9195 = 1 Then
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
 retvaltype = DmisCommand.PutText("REPT", COMMENT_TYPE, 0)
 retvaltype = DmisCommand.PutText(" ", COMMENT_FIELD, 1)
End If



'- - - - REPORT COMMENT, Bubble # -----------
If dlg1.CheckBox9196 = 1 Then

Dim customstr9196 As String
customstr9196 = dlg1.EditBox9196
Dim lenstr9196 As Integer
lenstr9196 = Len(dlg1.EditBox9196)

Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
 retvaltype = DmisCommand.PutText("REPT", COMMENT_TYPE, 0)
 retvaltype = DmisCommand.PutText("Bubble # "+customstr9196, COMMENT_FIELD, 1)
End If





'- - - - OP AND PAGE #, PLUS FORM FEED ------------------------------
Dim customstr201 As String
customstr201 = dlg1.EditBox201
Dim lenstr201 As Integer
lenstr201 = Len(dlg1.EditBox201)

Dim customstr202 As String
customstr202 = "PAGE " + dlg1.EditBox202
Dim lenstr202 As Integer
lenstr202 = Len(dlg1.EditBox202)

Dim customstr203 As String

If lenstr201 > 0 And lenstr202 >0 Then
customstr203 = "                                 " + customstr202 + "   " + customstr201
End IF

If lenstr201 > 0 And lenstr202 =0 Then
customstr203 = "                                 " + customstr201
End IF

If lenstr201 = 0 And lenstr202 >0 Then
customstr203 = "                                 " + customstr202
End IF

If lenstr201 > 0 Or lenstr202 >0 Then
   If dlg1.CheckBox133 = 1 Then
   Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
   retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
   retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
   retvaltype = DmisCommand.PutText("\", COMMENT_FIELD, 1)
   retvaltype = DmisCommand.PutText("\\", COMMENT_FIELD, 2)
   retvaltype = DmisCommand.PutText("\\\", COMMENT_FIELD, 3)

   Set DmisCommand = DmisCommands.Add(PRINT_FORM_FEED, TRUE)

   Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
   retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
   retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
   retvaltype = DmisCommand.PutText("///", COMMENT_FIELD, 1)
   retvaltype = DmisCommand.PutText("//", COMMENT_FIELD, 2)
   retvaltype = DmisCommand.PutText("/", COMMENT_FIELD, 3)
   End If

Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("REPT", COMMENT_TYPE, 0)
retvaltype = DmisCommand.PutText("   ", COMMENT_FIELD, 1)
retvaltype = DmisCommand.PutText("   ", COMMENT_FIELD, 2)
retvaltype = DmisCommand.PutText("-------------------------------------------------------------------------------------------------------", COMMENT_FIELD, 3)
retvaltype = DmisCommand.PutText(customstr203, COMMENT_FIELD, 4)
retvaltype = DmisCommand.PutText("-------------------------------------------------------------------------------------------------------", COMMENT_FIELD, 5)
DmisCommand.ReDraw
End If


If dlg1.CheckBox133 = 1 And lenstr201=0 Then
Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText("\", COMMENT_FIELD, 1)
retvaltype = DmisCommand.PutText("\\", COMMENT_FIELD, 2)
retvaltype = DmisCommand.PutText("\\\", COMMENT_FIELD, 3)
DmisCommand.ReDraw

Set DmisCommand = DmisCommands.Add(PRINT_FORM_FEED, TRUE)

Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText("///", COMMENT_FIELD, 1)
retvaltype = DmisCommand.PutText("//", COMMENT_FIELD, 2)
retvaltype = DmisCommand.PutText("/", COMMENT_FIELD, 3)
DmisCommand.ReDraw
End If





'________________ # of Dims and # Out-Of-Tol _______________

If dlg1.CheckBox90218 = 1 Then

Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText("|", COMMENT_FIELD, 1)

  Set DmisCommand = DmisCommands.Add(ASSIGNMENT, TRUE)
    DmisCommand.Marked = TRUE
    retval = DmisCommand.PutText ("NUMBERDIMS", DEST_EXPR, 0)
    retval = DmisCommand.PutText ("GETPROGRAMINFO(""NUMMEAS"")", SRC_EXPR, 0)

  Set DmisCommand = DmisCommands.Add(ASSIGNMENT, TRUE)
    DmisCommand.Marked = TRUE
    retval = DmisCommand.PutText ("BADDIMS", DEST_EXPR, 0)
    retval = DmisCommand.PutText ("GETPROGRAMINFO(""NUMOOT"")", SRC_EXPR, 0)

  Set DmisCommand = DmisCommands.Add(SET_COMMENT, TRUE)
    DmisCommand.Marked = TRUE
    retval = DmisCommand.PutText ("", ID, 0)
    retval = DmisCommand.SetToggleString (2, COMMENT_TYPE, 0)     
    retval = DmisCommand.PutText ("   ", COMMENT_FIELD, 1)
    retval = DmisCommand.PutText ("          - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -", COMMENT_FIELD, 2)
    Result = DmisCommand.SetExpression("""                      Total Number of Dimensions: ""+NUMBERDIMS", COMMENT_FIELD, 3)
    Result = DmisCommand.SetExpression("""                     Dimensions Out Of Tolerance: ""+BADDIMS", COMMENT_FIELD, 4)
    retval = DmisCommand.PutText ("          - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -", COMMENT_FIELD, 5)

Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText("|", COMMENT_FIELD, 1)

End If






'________________ELAPSED TIME_______________

If dlg1.CheckBox90210 = 1 Then

Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText("|", COMMENT_FIELD, 1)

  Set DmisCommand = DmisCommands.Add(ASSIGNMENT, TRUE)
    DmisCommand.Marked = TRUE
    retval = DmisCommand.PutText ("RUNTIME", DEST_EXPR, 0)
    retval = DmisCommand.PutText ("GETPROGRAMINFO(""ELAPSEDTIME"")", SRC_EXPR, 0)


  Set DmisCommand = DmisCommands.Add(SET_COMMENT, TRUE)
    DmisCommand.Marked = TRUE
    retval = DmisCommand.PutText ("", ID, 0)
    retval = DmisCommand.SetToggleString (2, COMMENT_TYPE, 0)     
    retval = DmisCommand.PutText ("   ", COMMENT_FIELD, 1)
    retval = DmisCommand.PutText ("                    - - - - - - - - - - - - - - -", COMMENT_FIELD, 2)
    Result = DmisCommand.SetExpression("""                     Inspection Run Time: ""+RUNTIME", COMMENT_FIELD, 3)
    retval = DmisCommand.PutText ("                    - - - - - - - - - - - - - - -", COMMENT_FIELD, 4)	

Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText("|", COMMENT_FIELD, 1)

End If







'*****************************************************************************************************************
'[] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] 
'********* Insert Operator Input Script call, Write BAS to file, add variables, 3-try test ************************

      If dlg1.Checkbox1977 = 1 Then

Dim objFSO as Object
Dim strFolder as String
strFolder = "C:\"
Set objFSO = CreateObject("Scripting.FileSystemObject")
If Not objFSO.FolderExists(strFolder) Then
   objFSO.CreateFolder(strFolder)
End If
 
  Open "C:\\OPERATOR_INPUTS_BASIC_VERYBASIC.BAS" For Output As #1
     print #1,"Sub Main"
     print #1,"Begin Dialog DIALOG_1 50,10, 275, 300,      oOPERATORINPUT"
     print #1,"  GroupBox 5,5,260,25"
     print #1,"Text 20,15,85,12, ""Enter Operator:"""
     print #1,"  TextBox 85,13,135,12, .EditBox_1"
     print #1,"  GroupBox 5,35,260,25"
     print #1,"Text 25,45,85,12, ""Enter Job Number:"""
     print #1,"  TextBox 95,43,135,12, .EditBox_2"
     print #1,"  GroupBox 5,65,260,25"
     print #1,"Text 32,75,85,12, ""Enter Serial Number:"""
     print #1,"  TextBox 105,73,135,12, .EditBox_3"
     print #1,"  GroupBox 5,210,172,25"
     print #1,"Text 10,220,85,12, ""Need Manual Alignment?"""
     print #1,"  OptionGroup .GROUP_2"
     print #1,"    OptionButton 105,220,25,12, ""YES"""
     print #1,"    OptionButton 145,220,25,12, ""NO"""
     print #1,"  OKButton 195,210,65,45"
     print #1,"  CancelButton 120,275,48,16"
     print #1,"End Dialog"
     print #1,"Dim Dialg As DIALOG_1"
     print #1,"button1 = Dialog(Dialg)"
     print #1,"Dim Progtype As String"
     print #1,"Dim MANUALQ As String"
     print #1,"MANUALQ= ""YES"""
     print #1,"If button1 = 0 Then"
     print #1,"  Progtype= ""END"""
     print #1,"Else"
     print #1,"  Select Case Dialg.GROUP_2"
     print #1,"    Case 0"
     print #1,"      MANUALQ= ""YES"""
     print #1,"    Case 1"
     print #1,"      MANUALQ= ""NO"""
     print #1,"  End Select"
     print #1,"Dim SerNum As String"
     print #1," Oper = Dialg.EditBox_1"
     print #1," Job = Dialg.EditBox_2"
     print #1," SerNum = Dialg.EditBox_3"
     print #1,"End If"
     print #1,"Dim App As Object"
     print #1,"Set App = CreateObject(""PCDLRN.Application"")"
     print #1,"Dim Part As Object"
     print #1,"Set Part = App.ActivePartProgram"
     print #1,"Dim Cmds As Object"
     print #1,"Dim Cmd As Object"
     print #1,"Set Cmds = Part.Commands"
     print #1,"For Each Cmd In Cmds"
     print #1,"  If Cmd.Type = ASSIGNMENT Then"
     print #1,"    If Cmd.GetText(DEST_EXPR, 0) = ""OPERATOR"" Then"
     print #1,"      bln = Cmd.PutText("""""""" + Oper + """""""", SRC_EXPR, 0)"
     print #1,"      Cmd.ReDraw"
     print #1,"    End If"
     print #1,"    If Cmd.GetText(DEST_EXPR, 0) = ""JOB"" Then"
     print #1,"      bln = Cmd.PutText("""""""" + Job + """""""", SRC_EXPR, 0)"
     print #1,"      Cmd.ReDraw"
     print #1,"    End If"
     print #1,"    If Cmd.GetText(DEST_EXPR,0) = ""SERNO"" Then"
     print #1,"      bln = Cmd.PutText("""""""" + SerNum + """""""", SRC_EXPR, 0)"
     print #1,"      Cmd.ReDraw"
     print #1,"    End If"
     print #1,"    If Cmd.GetText(DEST_EXPR,0) = ""MANUAL"" Then"
     print #1,"      bln = Cmd.PutText("""""""" + MANUALQ + """""""", SRC_EXPR, 0)"
     print #1,"      Cmd.ReDraw"
     print #1,"    End If"
     print #1,"  End If"
     print #1,"Next Cmd"
     print #1,"End Sub"
   Close #1



Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText("\", COMMENT_FIELD, 1)
retvaltype = DmisCommand.PutText("\\", COMMENT_FIELD, 2)
retvaltype = DmisCommand.PutText("\\\", COMMENT_FIELD, 3)
DmisCommand.ReDraw


  Set DmisCommand = DmisCommands.Add(ASSIGNMENT, TRUE)
    DmisCommand.Marked = TRUE
    retval = DmisCommand.PutText ("TRY", DEST_EXPR, 0)
    retval = DmisCommand.PutText ("0", SRC_EXPR, 0)
  
  Set DmisCommand = DmisCommands.Add(LABEL_CMD, TRUE)
    DmisCommand.Marked = TRUE
    retval = DmisCommand.PutText ("RETRY_INPUT", ID, 0)
  
  Set DmisCommand = DmisCommands.Add(ASSIGNMENT, TRUE)
    DmisCommand.Marked = TRUE
    retval = DmisCommand.PutText ("TRY", DEST_EXPR, 0)
    retval = DmisCommand.PutText ("TRY+1", SRC_EXPR, 0)
  
  Set DmisCommand = DmisCommands.Add(IF_GOTO_COMMAND, TRUE)
    DmisCommand.Marked = TRUE
    retval = DmisCommand.PutText ("0", MODE_TYPE, 0)
    retval = DmisCommand.PutText ("ENDOFTIME", LABEL_ID, 0)
    retval = DmisCommand.PutText ("0", SRC_EXPR, 0)
  Result = DmisCommand.SetExpression("TRY>3", SRC_EXPR, 0)
  
  Set DmisCommand = DmisCommands.Add(BASIC_SCRIPT, TRUE)
    DmisCommand.Marked = TRUE
    retval = DmisCommand.PutText ("CS1", ID, 0)
    retval = DmisCommand.PutText ("C:\\OPERATOR_INPUTS_BASIC_VERYBASIC.BAS", FILE_NAME, 0)
    retval = DmisCommand.PutText ("Main", SUB_NAME, 0)
    retval = DmisCommand.SetToggleString (2, SHOW_DETAILS, 0)
  Set DmisCommand = DmisCommands.Add(END_SCRIPT, TRUE)
    DmisCommand.Marked = TRUE
  
  Set DmisCommand = DmisCommands.Add(ASSIGNMENT, TRUE)
    DmisCommand.Marked = TRUE
    retval = DmisCommand.PutText ("OPERATOR", DEST_EXPR, 0)
    retval = DmisCommand.PutText ("""NAME""", SRC_EXPR, 0)
  
  Set DmisCommand = DmisCommands.Add(ASSIGNMENT, TRUE)
    DmisCommand.Marked = TRUE
    retval = DmisCommand.PutText ("SERNO", DEST_EXPR, 0)
    retval = DmisCommand.PutText ("""SERIALNUMBER""", SRC_EXPR, 0)
  
  Set DmisCommand = DmisCommands.Add(ASSIGNMENT, TRUE)
    DmisCommand.Marked = TRUE
    retval = DmisCommand.PutText ("JOB", DEST_EXPR, 0)
    retval = DmisCommand.PutText ("""JOBNUMBER""", SRC_EXPR, 0)
  
  Set DmisCommand = DmisCommands.Add(ASSIGNMENT, TRUE)
    DmisCommand.Marked = TRUE
    retval = DmisCommand.PutText ("MANUAL", DEST_EXPR, 0)
    retval = DmisCommand.PutText ("""YES""", SRC_EXPR, 0)
  
  Set DmisCommand = DmisCommands.Add(IF_BLOCK_COMMAND, TRUE)
    DmisCommand.Marked = TRUE
    retval = DmisCommand.PutText ("3", MODE_TYPE, 0)
    retval = DmisCommand.PutText ("0", SRC_EXPR, 0)
  Result = DmisCommand.SetExpression("OPERATOR=="""" OR SERNO=="""" OR JOB==""""", SRC_EXPR, 0)
  
  Set DmisCommand = DmisCommands.Add(SET_COMMENT, TRUE)
    DmisCommand.Marked = TRUE
    retval = DmisCommand.PutText ("", ID, 0)
    retval = DmisCommand.SetToggleString (1, COMMENT_TYPE, 0)
    retval = DmisCommand.PutText ("MISSING REQUIRED INFORMATION", COMMENT_FIELD, 1)
    retval = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
    retval = DmisCommand.SetToggleString (1, DISPLAY_TYPE, 0)
    retval = DmisCommand.PutText ("NO", TIME_ARG, 0)
    retval = DmisCommand.PutText ("0", T_VALUE, 0)
  
  Set DmisCommand = DmisCommands.Add(GOTO_COMMAND, TRUE)
    DmisCommand.Marked = TRUE
    retval = DmisCommand.PutText ("0", MODE_TYPE, 0)
    retval = DmisCommand.PutText ("RETRY_INPUT", LABEL_ID, 0)
  
  Set DmisCommand = DmisCommands.Add(END_IF_COMMAND, TRUE)
    DmisCommand.Marked = TRUE
    retval = DmisCommand.PutText ("3", MODE_TYPE, 0)
  
  Set DmisCommand = DmisCommands.Add(SET_COMMENT, TRUE)
    DmisCommand.Marked = TRUE
    retval = DmisCommand.PutText ("", ID, 0)
    retval = DmisCommand.SetToggleString (2, COMMENT_TYPE, 0)     
    retval = DmisCommand.PutText ("       ", COMMENT_FIELD, 1)
  Result = DmisCommand.SetExpression("""     Operator: ""+OPERATOR", COMMENT_FIELD, 2)
  Result = DmisCommand.SetExpression("""Serial Number: ""+SERNO", COMMENT_FIELD, 3)
  Result = DmisCommand.SetExpression("""   Job Number: ""+JOB", COMMENT_FIELD, 4)
   retval = DmisCommand.PutText ("------------------------------------------------", COMMENT_FIELD, 5)



  
  Set DmisCommand = DmisCommands.Add(SET_COMMENT, TRUE)
    DmisCommand.Marked = TRUE
    retval = DmisCommand.PutText ("", ID, 0)
    retval = DmisCommand.SetToggleString (4, COMMENT_TYPE, 0)
    retval = DmisCommand.PutText ("<>", COMMENT_FIELD, 1)
    retval = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
  
  Set DmisCommand = DmisCommands.Add(LABEL_CMD, TRUE)
    DmisCommand.Marked = TRUE
    retval = DmisCommand.PutText ("ENDOFTIME", ID, 0)

Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText("///", COMMENT_FIELD, 1)
retvaltype = DmisCommand.PutText("//", COMMENT_FIELD, 2)
retvaltype = DmisCommand.PutText("/", COMMENT_FIELD, 3)
DmisCommand.ReDraw

  DmisPart.RefreshPart


End If
'[] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] []
'*****************************************************************************************************************



'*****************************************************************************************************************
'[] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] []
'***************** Date, Time, Part Name, Filename PDF Print Command *********************************************
      If dlg1.Checkbox2977 = 1 Then

Set DmisCommand = DmisCommands.Add(SET_COMMENT, True)
retvaltype = DmisCommand.PutText("$$", COMMENT_TYPE, 0)
retvaltype = DmisCommand.SetToggleString (1, OUTPUT_TYPE, 0)
retvaltype = DmisCommand.PutText("\", COMMENT_FIELD, 1)
retvaltype = DmisCommand.PutText("\\", COMMENT_FIELD, 2)
retvaltype = DmisCommand.PutText("\\\", COMMENT_FIELD, 3)
DmisCommand.ReDraw

  Set DmisCommand = DmisCommands.Add(ASSIGNMENT, TRUE)
    DmisCommand.Marked = TRUE
    retval = DmisCommand.PutText ("DATE", DEST_EXPR, 0)
    retval = DmisCommand.PutText ("SYSTEMDATE(""ddMMMyyyy"")", SRC_EXPR, 0)
  
  Set DmisCommand = DmisCommands.Add(ASSIGNMENT, TRUE)
    DmisCommand.Marked = TRUE
    retval = DmisCommand.PutText ("TIME", DEST_EXPR, 0)
    retval = DmisCommand.PutText ("SYSTEMTIME(""HHmm"")", SRC_EXPR, 0)
  
  Set DmisCommand = DmisCommands.Add(ASSIGNMENT, TRUE)
    DmisCommand.Marked = TRUE
    retval = DmisCommand.PutText ("PARTNAME", DEST_EXPR, 0)
    retval = DmisCommand.PutText ("STR(GETTEXT(191,1,{FILEHEDR}))", SRC_EXPR, 0)
  
  Set DmisCommand = DmisCommands.Add(ASSIGNMENT, TRUE)
    DmisCommand.Marked = TRUE
    retval = DmisCommand.PutText ("PDFNAME", DEST_EXPR, 0)
    retval = DmisCommand.PutText ("""C:\TEMP\\""+PARTNAME+""_""+SERNO+""_""+TIME+""_""+DATE+"".PDF""", SRC_EXPR, 0)
  
  Set DmisCommand = DmisCommands.Add(PRINT_REPORT, TRUE)
    DmisCommand.Marked = TRUE
    retval = DmisCommand.SetToggleString (2, PRINT_TO_FILE, 0)
    retval = DmisCommand.SetToggleString (2, FILE_COMMAND_TYPE, 0)
    retval = DmisCommand.SetToggleString (1, PRINT_TO_PRINTER, 0)
    retval = DmisCommand.SetToggleString (2, PRINT_DELETE_RUNS, 0)
    retval = DmisCommand.SetToggleString (1, OUTPUT_DMIS_REPORT, 0)
    retval = DmisCommand.SetToggleString (2, OVERWRITE, 0)
    retval = DmisCommand.SetToggleString (1, OUTPUT_FEATURE_NOMS, 0)
    retval = DmisCommand.SetToggleString (1, OUTPUT_FEAT_W_DIMENS, 0)
    retval = DmisCommand.SetToggleString (2, MODE_TYPE, 0)
  Result = DmisCommand.SetExpression("PDFNAME", FILE_NAME, 1)

  DmisPart.RefreshPart


End If
'[] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] [] []
'*****************************************************************************************************************





''''''''''''''''''''''''''''''''''' Dim List to CSV Script '''''''''''''''''''''''''''''''''''''''''''
If dlg1.Checkbox9876 = 1 Then
Dim Cmd As Object
Dim DimCommand As Object
Dim DimStartCmdID As Object

' Declare VB variables:
Dim CSVDimID As String
Dim CSVReportDim As String
Dim CSVCheckDim As String
Dim str As String
Dim DataPath As String
Dim strType As String
Dim XactName As String
Dim XactResult As String
Dim IntTest As String
Dim SumFeat As String
Dim SumAxis As String
Dim NameHolder As String

Dim fcount As Integer
Dim fval As Integer
Dim Int As Integer

Dim Int2 As Integer

Dim Tcmd

'''Create & Set Then Open results file For writing To:
Set DataPath = "C:\Temp"
FileName = DataPath & "\" & DmisPart.Partname & "_DimensionList_" & Month(Date) & Day(Date) & Year(Date) & ".csv"
MsgBox Filename
Open FileName For Output As #1
Print #1, DmisPart.Partname
'~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

'''Begin looping through every comand In PRG looking For dimensions
    For Each Cmd In DmisCommands
        'Eliminate DATDEF's
        If Cmd.Type <> 1299 Then '''If #1 Not 1299 datum definition

            'Do Dimensions
            If Cmd.IsDimension Then '''If #2 is Dim
                If Cmd.Type = DIMENSION_START_LOCATION Or Cmd.Type = DIMENSION_TRUE_START_POSITION Then  '''If #3 is Dim start, Get the ID And Output Type
                    Set DimStartCmdID = Cmd.DimensionCommand
                      CSVDimID = DimStartCmdID.ID
                      CSVReportDim = Cmd.GetText ( OUTPUT_TYPE, 0)
                End If  ''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''End-If #3
                If Cmd.Type <> DIMENSION_START_LOCATION And Cmd.Type <> DIMENSION_END_LOCATION And _
                    Cmd.Type <> DIMENSION_TRUE_START_POSITION And Cmd.Type <> DIMENSION_TRUE_END_POSITION Then  '''If #4 Not Dim starts/ends Get command And Output Type
                    Set DimCommand = Cmd.DimensionCommand
                    CSVCheckDim = Cmd.GetText ( OUTPUT_TYPE, 0)
                    If CSVCheckDim <> "" Then '''If #5 Get the Output Type
                            CSVReportDim = CSVCheckDim
                   End If ''''''''''''''''''''End-If #5
                    If CSVReportDim = "BOTH" Or CSVReportDim = "REPORT" Then  ''' If #6 Not a "NONE" display
                          fcount = fcount + 1
                          If DimCommand.ID = "" Then '''If #7 looking For blank IDs? Must need axis letter For header Line. Else Get .M For measured.
                                  Print #1,  CSVDimID
                          Else                                
                                  Print #1,  DimCommand.ID
                          End If  '''''''''''''''''''''End-If #7

                    End If ''''''''''''''''''''''''''''End-If #6 To skip NONE displays

                End If '''''''''''''''''''''''End-If #4 Not start/End Dim

            End If '''''''''''''''''''End-If #2 is a Dim
            '---> Do XactMeasure GDT Dims <---
           	If Cmd.Type = 184 Then  '''#9 Xact Dim
                  CSVReportDim = Cmd.GetText ( OUTPUT_TYPE, 0)
                  If CSVReportDim = "BOTH" Or CSVReportDim = "REPORT" Then '''#10 skip NONE display dims
                        CSVDimID = Cmd.GetText (ID, 0) 
			strType = Cmd.GetText (GDT_SYMBOL, 0)
			If strType = "POSITION" Then ''''#11 Xact Position Dims
				Int = 1 ''' Get Line1 Size Dims from Xactmeasure
				IntTest = Cmd.GetText (REF_ID, Int)
   					While IntTest <> ""
                                                fcount = fcount + 1
						Print #1,  CSVDimID
						Int = Int + 1
						IntTest = Cmd.GetText (REF_ID, Int)
   					Wend 'Line1 Size Dims from Xactmeasure
				Int = 1 ''' Get Line2 Pos Dims from Xactmeasure
				IntTest = Cmd.GetText (REF_ID, Int)
   					While IntTest <> ""
                                                fcount = fcount + 1
						Print #1, CSVDimID
						Int = Int + 1
						IntTest = Cmd.GetText (REF_ID, Int)
   					Wend 'Line2 Pos Dims from Xactmeasure
			End If ''''End-If #11 Xact Position Dims
                                                If strType <> "POSITION" Then '''#13 Getting non-Position XactMeasure GD&T dims
				Int = 1 ''' 
				IntTest = Cmd.GetText (REF_ID, Int)
   					While IntTest <> ""
                                                fcount = fcount + 1
						Print #1, CSVDimID
                                                   Int = Int + 1
                                                   IntTest = Cmd.GetText(REF_ID,Int)
                                                   Wend
                                                 End If '" end #13                                                                                                                                 
                                                                  End If ''10 skip NONE display dims
                                                              End If '''#9 Xact Dim'
                                                          End If '''#1 Not 1299 datum definition
Next Cmd 


'Save And Cleanup
Close #1

End If


'~~~~~~~~~~~~~~~~~~~~~~~~~~ END  INPUTS ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~


Repeater = Repeater-1
Loop



End Sub













